Permalink
Find file
Fetching contributors…
Cannot retrieve contributors at this time
52 lines (44 sloc) 1.52 KB
# -*- encoding: utf-8 -*-
require File.expand_path('../lib/texticle/version', __FILE__)
Gem::Specification.new do |s|
s.name = 'texticle'
s.version = Texticle::VERSION
s.summary = 'Texticle exposes full text search capabilities from PostgreSQL'
s.description = 'Texticle exposes full text search capabilities from PostgreSQL, extending
ActiveRecord with scopes making search easy and fun!'
s.license = 'MIT'
s.authors = ['Ben Hamill', 'ecin', 'Aaron Patterson']
s.email = ['git-commits@benhamill.com', 'ecin@copypastel.com']
s.homepage = 'http://texticle.github.com/texticle'
s.files = [
'CHANGELOG.md',
'Gemfile',
'Manifest.txt',
'README.md',
'Rakefile',
'lib/texticle.rb',
'lib/texticle/full_text_indexer.rb',
'lib/texticle/postgres_module_installer.rb',
'lib/texticle/rails.rb',
'lib/texticle/searchable.rb',
'lib/texticle/tasks.rb',
'lib/texticle/version.rb'
]
s.executables = []
s.test_files = [
'spec/config.yml.example',
'spec/fixtures/character.rb',
'spec/fixtures/game.rb',
'spec/fixtures/webcomic.rb',
'spec/spec_helper.rb',
'spec/texticle/searchable_spec.rb',
'spec/texticle_spec.rb'
]
s.require_paths = ['lib']
s.add_development_dependency 'pg', '~> 0.11.0'
s.add_development_dependency 'shoulda', '~> 2.11.3'
s.add_development_dependency 'rake', '~> 0.9.0'
s.add_development_dependency 'pry'
s.add_development_dependency 'pry-doc'
s.add_dependency('activerecord', [">= 3.0", "< 4.1"])
end